function[] = hastingscallback(h1,h3,h5)

    p = get(h1, 'Value');
    
    a1 = 5.0  ; a2 = 0.1;
    b1 = 2.4699  ; b2 = 2.0; 
    d1 = 0.4  ; d2 = 0.01;

    f1 = @(x) [a1*x/(1+b1*x)];
    f2 = @(x) [a2*x/(1+b2*x)];

    hastings1 = @(t,y)  [y(1)*(1-y(1))-f1(y(1))*y(2) ; 
        f1(y(1))*y(2)-f2(y(2))*y(3)-d1*y(2) ;
        f2(y(2))*y(3)-d2*y(3)];
     
    [t,y]=ode45(hastings1,[0 2000], [.3;.4;8] + [0;0;p]);
 
    plot3(y(1000:1800,1),y(1000:1800,2),y(1000:1800,3));
    
    set( h3, 'String', sprintf('%.2f',get(h1, 'Value')) );
    set( h5, 'String', sprintf('%2.2f',skewness(y(1000:1800,3))));
% 
%     b1 = 2.4699;
%     
%     a1 = 5.0  ; a2 = 0.1;
%     b2 = 2.0; 
%     d1 = 0.4  ; d2 = 0.01;
%     
%     f1 = @(x) [a1*x/(1+b1*x)];
%     f2 = @(x) [a2*x/(1+b2*x)];
%     
%     hastings1 = @(t,y) [y(1)*(1-y(1))-f1(y(1))*y(2) ; 
%      f1(y(1))*y(2)-f2(y(2))*y(3)-d1*y(2) ;
%      f2(y(2))*y(3)-d2*y(3)];
%  
% %  Stable Cycle
%  
%     [t,y]=ode45(hastings1,[0 2000],[.3;.4;8]);
%     
%     
% %     var(y(1000:1800,3))
%     skewness(y(1000:1800,3))
%     
% %     Chaos
% 
% 
%     [t,y]=ode45(hastings1,[0 2000],[.3;.4;11]);
%     
%     figure;
%     
%     plot3(y(1000:1800,1),y(1000:1800,2),y(1000:1800,3));
%     
% %     var(y(1000:1800,3))
%     skewness(y(1000:1800,3))
%     
% %     Perturb from 1 to 2 by Increase of Z
%     
%     [t,y]=ode45(hastings1,[0 2000],[.3;.4;8] + [0;0;2]);
%     
%     figure;
%     
%     plot3(y(1000:1800,1),y(1000:1800,2),y(1000:1800,3));
%    
% %     var(y(1000:1800,3))
%     skewness(y(1000:1800,3))
%     
% %     Perturb from 1 to 2 by Increase of Z
%     
%     [t,y]=ode45(hastings1,[0 2000],[.3;.4;8] + [0;0;2.25]);
%     
%     figure;
%     
%     plot3(y(1000:1800,1),y(1000:1800,2),y(1000:1800,3));
%     
% %     var(y(1000:1800,3))
%     skewness(y(1000:1800,3))
%    
% %     Perturb from 1 to 2 by Increase of Z
%     
%     [t,y]=ode45(hastings1,[0 2000],[.3;.4;8] + [0;0;2.35]);
%     
%     figure;
%     
%     plot3(y(1000:1800,1),y(1000:1800,2),y(1000:1800,3));
%     
% %     var(y(1000:1800,3))
%     skewness(y(1000:1800,3))
%     
%     
    
    
    
    
    
    
    

% %     Perturb from 1 to 2 by Increase of Z
%     
%     [t,y]=ode45(hastings1,[0 2000],[.34;.41;7.93] + [0;0;2.4]);
%     
%     figure;
%     
%     plot3(y(1000:1800,1),y(1000:1800,2),y(1000:1800,3));
%     
%     skewness(y(1000:1800,3))
%     
% %     Perturb from 1 to 2 by Increase of Z
%    
%     [t,y]=ode45(hastings1,[0 2000],[.34;.41;7.93] + [0;0;2.4]);
%     
%     figure;
%     
%     plot3(y(1000:1800,1),y(1000:1800,2),y(1000:1800,3));
%     
%     skewness(y(1000:1800,3))
%     
%     %     Perturb from 1 to 2 by Increase of Z
%     
%     [t,y]=ode45(hastings1,[0 2000],[.34;.41;7.93] + [0;0;2.401]);
%     
%     figure;
%     
%     plot3(y(1000:1800,1),y(1000:1800,2),y(1000:1800,3));
%     
%     skewness(y(1000:1800,3))
   
    
%     % Change b1
%     
%     b1 = 2.2;
%     
%     a1 = 5.0  ; a2 = 0.1;
%     b2 = 2.0; 
%     d1 = 0.4  ; d2 = 0.01;
%     
%     f1 = @(x) [a1*x/(1+b1*x)];
%     f2 = @(x) [a2*x/(1+b2*x)];
%     
%     hastings1 = @(t,y) [y(1)*(1-y(1))-f1(y(1))*y(2) ; 
%      f1(y(1))*y(2)-f2(y(2))*y(3)-d1*y(2) ;
%      f2(y(2))*y(3)-d2*y(3)];
%     
%     %     Perturb from 1 to 2 by Increase of Z
%     
%     [t,y]=ode45(hastings1,[0 2000],[.15;.7;10]);
%     
%     figure;
%     
%     plot3(y(1000:1500,1),y(1000:1500,2),y(1000:1500,3));
%     
%     M = peakdet(y(1000:1500,3),.1)
%     
%     skewness(y(1000:1500,3))