%mayDemo

clear; 

h1 = uicontrol; % generic gui 
set( h1, 'Position', [20 10 120 20] ); % (x,y) of lower-left corner, width, height
set( h1, 'Style', 'Slider' ); % GUI type
set( h1, 'Min', .5, 'Max', 1.3, 'Value', .5 ); % slider limits and default value

h2 = uicontrol; % generic gui 
set( h2, 'Position', [210 10 120 20] ); % (x,y) of lower-left corner, width, height
set( h2, 'Style', 'Slider' ); % GUI type
set( h2, 'Min', 1, 'Max', 2, 'Value', 1.3 ); % slider limits and default value

% Text fields for slider values:
h3 = uicontrol; 
set( h3, 'Position', [160 10 40 20] );
set( h3, 'Style', 'Text' );
set( h3, 'String', get(h1,'Value') );

h4 = uicontrol; 
set( h4, 'Position', [350 10 40 20] );
set( h4, 'Style', 'Text' );
set( h4, 'String', get(h2,'Value') );

set( h1, 'Callback', 'mayGLVcallback(h1,h2,h3,h4);' );
set( h2, 'Callback', 'mayGLVcallback(h1,h2,h3,h4);' );
