clear; 

[t,y]=ode45(@neubert2regime,[0,1000],[0;0;0;0;0]);

plot3(y(:,1),y(:,2),y(:,3));

h1 = uicontrol; % generic gui 
set( h1, 'Position', [20 10 120 20] ); % (x,y) of lower-left corner, width, height
set( h1, 'Style', 'Slider' ); % GUI type
set( h1, 'Min', 0, 'Max', 2, 'Value', 0 ); % slider limits and default value

% Text fields for slider values:
h3 = uicontrol; 
set( h3, 'Position', [160 10 40 20] );
set( h3, 'Style', 'Text' );
set( h3, 'String', get(h1,'Value') );

% set( h1, 'Callback', 'neubert2regimeCallback(h1,h3);' );

set( h1, 'Callback', 'neubert2regimeCallback2(h1,h3);' );