function[] = mayGLVcallback(h1,h2,h3,h4)

    a = get(h1, 'Value');
    b = get(h2, 'Value');

    f1 = @(y) [y(1) * (1 - y(1) - a*y(2) - b*y(3))];
    f2 = @(y) [y(2) * (1 - b*y(1) - y(2) - a*y(3))];
    f3 = @(y) [y(3) * (1 - a*y(1) - b*y(2) - y(3))];

    mayGLV = @(t,y) [f1(y) ; f2(y) ; f3(y)];
     
    [t,y]=ode45(mayGLV,[0 1000],[.9;.6;.8]);

    plot3(y(:,1),y(:,2),y(:,3));
    
    set( h3, 'String', sprintf('%.2f',get(h1, 'Value')) );
    set( h4, 'String', sprintf('%.2f',get(h2, 'Value')) );